#include <stdio.h>
#include <sys/time.h>
#include <unistd.h>
#include <stdlib.h> 

int main (int argc, char *argv[])
{
    struct timeval start;
    long seconds, useconds;

    gettimeofday(&start, NULL);
    seconds = (start.tv_sec);
    useconds = start.tv_usec/1000.0 + 0.5;
    if (argc == 2)
    {
        FILE *file = fopen(argv[1], "a");
        if (file == 0)
        {
            printf("Datei kann nicht geffnet werden\n");
            exit(1);
        }
        else 
        {
            fprintf(file, "%d.%03d\n", seconds, useconds);
            fclose(file);
        }
    }
    printf("%d.%03d\n", seconds, useconds);
    return 0;
}
